<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/KWD/KittAi/src/KittAiKeyWordDetector.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d0ae40f34093660421d9f00fd3d110f5.html">KWD</a></li><li class="navelem"><a class="el" href="dir_07f50320bebe2b4870f5c0b96b76b257.html">KittAi</a></li><li class="navelem"><a class="el" href="dir_499e7ac8acecf2eeebbbfd18882b6fc2.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">KittAiKeyWordDetector.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_memory_8h_source.html">AVSCommon/Utils/Memory/Memory.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_kitt_ai_key_word_detector_8h_source.html">KittAi/KittAiKeyWordDetector.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for KittAiKeyWordDetector.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_kitt_ai_key_word_detector_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_k_w_d_2_kitt_ai_2src_2_kitt_ai_key_word_detector_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_k_w_d_2_kitt_ai_2src_2_kitt_ai_key_word_detector_8cpp" id="_2workplace_2avs-device-sdk_2_k_w_d_2_kitt_ai_2src_2_kitt_ai_key_word_detector_8cpp">
<area shape="rect" id="node4" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="995,772,1171,811"/>
<area shape="rect" id="node22" href="_memory_8h.html" title="AVSCommon/Utils/Memory\l/Memory.h" alt="" coords="44,105,226,144"/>
<area shape="rect" id="node24" href="_kitt_ai_key_word_detector_8h.html" title="KittAi/KittAiKeyWordDetector.h" alt="" coords="1419,112,1621,137"/>
<area shape="rect" id="node9" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="764,859,978,897"/>
<area shape="rect" id="node14" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1252,945,1428,984"/>
<area shape="rect" id="node15" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="513,859,689,897"/>
<area shape="rect" id="node20" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1052,859,1249,897"/>
<area shape="rect" id="node21" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="291,1032,467,1071"/>
<area shape="rect" id="node16" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="393,945,569,984"/>
<area shape="rect" id="node18" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="541,1032,717,1071"/>
<area shape="rect" id="node28" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="432,279,654,304"/>
<area shape="rect" id="node29" href="_audio_input_stream_8h.html" title="AVSCommon/AVS/AudioInput\lStream.h" alt="" coords="1712,365,1910,404"/>
<area shape="rect" id="node42" href="_key_word_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordObserverInterface.h" alt="" coords="1055,272,1252,311"/>
<area shape="rect" id="node43" href="_key_word_detector_state_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordDetectorStateObserver\lInterface.h" alt="" coords="1377,265,1593,317"/>
<area shape="rect" id="node44" href="_abstract_keyword_detector_8h.html" title="KWD/AbstractKeywordDetector.h" alt="" coords="1203,192,1421,217"/>
<area shape="rect" id="node45" href="_snowboy_wrapper_8h.html" title="KittAi/SnowboyWrapper.h" alt="" coords="1497,192,1669,217"/>
<area shape="rect" id="node30" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1730,452,1892,491"/>
<area shape="rect" id="node32" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1787,539,1933,564"/>
<area shape="rect" id="node34" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1428,685,1604,724"/>
<area shape="rect" id="node35" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1702,612,1810,637"/>
<area shape="rect" id="node36" href="_reader_8h.html" title="Reader.h" alt="" coords="1940,612,2015,637"/>
<area shape="rect" id="node40" href="_writer_8h.html" title="Writer.h" alt="" coords="2179,612,2246,637"/>
<area shape="rect" id="node39" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="1965,692,2076,717"/>
<area shape="rect" id="node41" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="2462,692,2565,717"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1kwd"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">alexaClientSDK::kwd</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_kitt_ai_key_word_detector_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a350283bae0cab1f78d85488eb059be5d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#a350283bae0cab1f78d85488eb059be5d">alexaClientSDK::kwd::TAG</a> (&quot;KittAiKeyWordDetector&quot;)</td></tr>
<tr class="separator:a350283bae0cab1f78d85488eb059be5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4ad06e0ca26f6fd7cc11ec1ac772fdb7"><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#a4ad06e0ca26f6fd7cc11ec1ac772fdb7">alexaClientSDK::kwd::HERTZ_PER_KILOHERTZ</a> = 1000</td></tr>
<tr class="memdesc:a4ad06e0ca26f6fd7cc11ec1ac772fdb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of hertz per kilohertz.  <a href="namespacealexa_client_s_d_k_1_1kwd.html#a4ad06e0ca26f6fd7cc11ec1ac772fdb7">More...</a><br /></td></tr>
<tr class="separator:a4ad06e0ca26f6fd7cc11ec1ac772fdb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a007ea46effd6118c632c2744208a3c93"><td class="memItemLeft" align="right" valign="top">const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#a007ea46effd6118c632c2744208a3c93">alexaClientSDK::kwd::TIMEOUT_FOR_READ_CALLS</a> = std::chrono::milliseconds(1000)</td></tr>
<tr class="memdesc:a007ea46effd6118c632c2744208a3c93"><td class="mdescLeft">&#160;</td><td class="mdescRight">The timeout to use for read calls to the SharedDataStream.  <a href="namespacealexa_client_s_d_k_1_1kwd.html#a007ea46effd6118c632c2744208a3c93">More...</a><br /></td></tr>
<tr class="separator:a007ea46effd6118c632c2744208a3c93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b018fe7ad06916f34f2943115665ed8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#a5b018fe7ad06916f34f2943115665ed8">alexaClientSDK::kwd::KITT_DELIMITER</a> = &quot;,&quot;</td></tr>
<tr class="memdesc:a5b018fe7ad06916f34f2943115665ed8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The delimiter for Kitt.ai engine constructor parameters.  <a href="namespacealexa_client_s_d_k_1_1kwd.html#a5b018fe7ad06916f34f2943115665ed8">More...</a><br /></td></tr>
<tr class="separator:a5b018fe7ad06916f34f2943115665ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d70f642f3e29cff9a9ccbf724091d2d"><td class="memItemLeft" align="right" valign="top">static const avsCommon::utils::AudioFormat::Encoding&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#a3d70f642f3e29cff9a9ccbf724091d2d">alexaClientSDK::kwd::KITT_AI_COMPATIBLE_ENCODING</a></td></tr>
<tr class="memdesc:a3d70f642f3e29cff9a9ccbf724091d2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Kitt.ai compatible audio encoding of LPCM.  <a href="namespacealexa_client_s_d_k_1_1kwd.html#a3d70f642f3e29cff9a9ccbf724091d2d">More...</a><br /></td></tr>
<tr class="separator:a3d70f642f3e29cff9a9ccbf724091d2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a028a192ad4b5c16ea5f8bc8d6e2ca203"><td class="memItemLeft" align="right" valign="top">static const avsCommon::utils::AudioFormat::Endianness&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#a028a192ad4b5c16ea5f8bc8d6e2ca203">alexaClientSDK::kwd::KITT_AI_COMPATIBLE_ENDIANNESS</a></td></tr>
<tr class="memdesc:a028a192ad4b5c16ea5f8bc8d6e2ca203"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Kitt.ai compatible endianness which is little endian.  <a href="namespacealexa_client_s_d_k_1_1kwd.html#a028a192ad4b5c16ea5f8bc8d6e2ca203">More...</a><br /></td></tr>
<tr class="separator:a028a192ad4b5c16ea5f8bc8d6e2ca203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5992b3318a27f4c9ee27ff24031a5cc"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#aa5992b3318a27f4c9ee27ff24031a5cc">alexaClientSDK::kwd::KITT_AI_SILENCE_DETECTION_RESULT</a> = -2</td></tr>
<tr class="memdesc:aa5992b3318a27f4c9ee27ff24031a5cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kitt.ai returns -2 if silence is detected.  <a href="namespacealexa_client_s_d_k_1_1kwd.html#aa5992b3318a27f4c9ee27ff24031a5cc">More...</a><br /></td></tr>
<tr class="separator:aa5992b3318a27f4c9ee27ff24031a5cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c65ba89493b9027ff62bf93a7b77fe"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#a64c65ba89493b9027ff62bf93a7b77fe">alexaClientSDK::kwd::KITT_AI_ERROR_DETECTION_RESULT</a> = -1</td></tr>
<tr class="memdesc:a64c65ba89493b9027ff62bf93a7b77fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kitt.ai returns -1 if an error occurred.  <a href="namespacealexa_client_s_d_k_1_1kwd.html#a64c65ba89493b9027ff62bf93a7b77fe">More...</a><br /></td></tr>
<tr class="separator:a64c65ba89493b9027ff62bf93a7b77fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f87ba2e059a4ab53ae2199a98b5048c"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html#a1f87ba2e059a4ab53ae2199a98b5048c">alexaClientSDK::kwd::KITT_AI_NO_DETECTION_RESULT</a> = 0</td></tr>
<tr class="memdesc:a1f87ba2e059a4ab53ae2199a98b5048c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kitt.ai returns 0 if no keyword was detected but audio has been heard.  <a href="namespacealexa_client_s_d_k_1_1kwd.html#a1f87ba2e059a4ab53ae2199a98b5048c">More...</a><br /></td></tr>
<tr class="separator:a1f87ba2e059a4ab53ae2199a98b5048c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
